Bug 665046 - (CVE-2010-1676) CVE-2010-1676 Tor: Remotely exploitable heap-based buffer overflow
CVE-2010-1676 Tor: Remotely exploitable heap-based buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20101220,reported=20101221,sou...
: Security
Depends On: 671263
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-22 09:29 EST by Jan Lieskovsky
Modified: 2014-10-17 04:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 23:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-12-22 09:29:31 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1676 to
the following vulnerability:

Heap-based buffer overflow in Tor before 0.2.1.28 and 0.2.2.x before
0.2.2.20-alpha allows remote attackers to cause a denial of service
(daemon crash) or possibly execute arbitrary code via unspecified
vectors.

References:
[1] http://archives.seul.org/or/announce/Dec-2010/msg00000.html
[2] http://blog.torproject.org/blog/tor-02128-released-security-patches
[3] http://blog.torproject.org/blog/tor-02220-alpha-out-security-patches
[4] https://gitweb.torproject.org/tor.git/blob/release-0.2.1:/ChangeLog
[5] http://www.securityfocus.com/bid/45500
[6] http://securitytracker.com/id?1024910
[7] http://secunia.com/advisories/42536
[8] http://www.vupen.com/english/advisories/2010/3290
Comment 1 Jan Lieskovsky 2010-12-22 09:34:45 EST
The updated (v0.2.1.28 version based) version of Tor is already present
in Fedora -testing repository. Once the prescribed testing phase is
finished, the particular packages will be pushed to -stable repository.

--

This issue affects the version of the tor package, as present within 
EPEL-5 repository.

Please schedule a rebase.
Comment 2 Vincent Danen 2011-01-20 16:52:15 EST
Created tor tracking bugs for this issue

Affects: epel-5 [bug 671263]
Comment 3 Paul Wouters 2013-05-30 23:13:29 EDT
fixed long time ago

Note You need to log in before you can comment on or make changes to this bug.